Description

Enabling the Online Framework Plugin in a Binary build of the editor (download from the Epic Games Launcher) causes packaging attempts to fail due to a file that is missing. This does not occur in source as the file is available.

Error:

UATHelper: Packaging (Windows (64-bit)):   LINK : fatal error LNK1181: cannot open input file 'D:\Epic Games\UE_4.18\Engine\Plugins\Online\OnlineFramework\Binaries\Win64\UE4-LoginFlow.lib'

Regression?: Yes
This did not occur in 4.17.2
This does occur in 4.18.1 and 4.19 (Main)

Steps to Reproduce
  1. Open a project in a Binary build of the editor
  2. Enable the Online Framework Plugin
  3. Restart the editor as prompted
  4. Package the project for any platform
    Result: The packaging attempt fails with the error below
    Expected: The packaging attempt succeeds without any errors

Have Comments or More Details?

Head over to the existingAnswerHub thread and let us know what's up.

15
Login to Vote

Fixed
ComponentDevTools - Plugins
Affects Versions4.184.19
Target Fix4.18.2
Fix Commit3780551
CreatedNov 29, 2017
ResolvedNov 30, 2017
UpdatedApr 27, 2018